#!/usr/bin/perl -w
require "rezest.pm";
$B = 2.2;
$epsilon = 0.000200; # meters
$m = 0.139;
$lambda = 82.0*3.14159/180.0;
$L = 3.57-1.90;
$p = 1.0;

$n_rl = 0.055014;
$n_m = 6*4;
gen_data("rezest_mar07.txt");

$n_rl = 0.028258;
$n_m = 6*4;
gen_data("rezest_cd3.txt");

$n_rl = 0.022566;
$n_m = 6*3;
gen_data("rezest_cd33pk.txt");

$n_rl = 0.020285;
$n_m = 4*4;
gen_data("rezest_cd3one.txt");

$n_rl = 0.014939;
$n_m = 4*4;
gen_data("rezest_wires.txt");

exit;

sub gen_data {
    my($filename) = @_;
    open (OUT,"> $filename");
    for ($p = 0.1; $p < 6.0; $p *= 1.02) {
	calc_rez();
    }
    close(OUT);
}

# end of perl script

